Skip to main content
PUT
/
v1
/
nomenclature
/
{id}
Update nomenclature
curl --request PUT \
  --url https://api.nomi.tools/v1/nomenclature/{id} \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "unitId": "<string>",
  "id": "<string>",
  "categoryId": "<string>",
  "externalId": "<string>",
  "notes": "<string>",
  "sku": "<string>",
  "defaultSellingPrice": 123,
  "defaultSellingCurrencyId": "<string>",
  "averagePriceCurrencyId": "<string>",
  "legalEntityId": "<string>",
  "dateOfReceipt": "2023-12-25",
  "initialStockQuantity": 123,
  "averagePrice": 123,
  "isArchived": true,
  "isIgnoreCostRecalc": true
}
'
{
  "id": "<string>"
}

Authorizations

Authorization
string
header
required

Use HTTP Basic Authentication. Provide your email as login and PPT token as the password.

Headers

Accept
enum<string>
default:application/json
required
Available options:
application/json

Path Parameters

id
string
required

Body

application/json
name
string
required
type
enum<string>
required
Available options:
product,
service
unitId
string
required
id
string | null
categoryId
string | null
externalId
string | null
notes
string | null
sku
string | null
defaultSellingPrice
number | null
defaultSellingCurrencyId
string | null
averagePriceCurrencyId
string | null
dateOfReceipt
string<date> | null
initialStockQuantity
number | null
averagePrice
number | null
isArchived
boolean
isIgnoreCostRecalc
boolean | null

Response

200 - application/json

Nomenclature updated successfully

id
string